Bug 1442086 (CVE-2017-7472) - CVE-2017-7472 kernel: keyctl_set_reqkey_keyring() leaks thread keyrings
Summary: CVE-2017-7472 kernel: keyctl_set_reqkey_keyring() leaks thread keyrings
Status: NEW
Alias: CVE-2017-7472
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170401,repor...
Keywords: Security
Depends On: 1450157 1442093 1450158 1450159 1450160 1466457 1479727 1479728
Blocks: 1442089
TreeView+ depends on / blocked
 
Reported: 2017-04-13 13:27 UTC by Andrej Nemec
Modified: 2018-08-28 22:15 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in the Linux kernel where the keyctl_set_reqkey_keyring() function leaks the thread keyring. This allows an unprivileged local user to exhaust kernel memory and thus cause a DoS.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0151 normal SHIPPED_LIVE Important: kernel security and bug fix update 2018-01-25 16:17:48 UTC
Red Hat Product Errata RHSA-2018:0152 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2018-01-25 16:18:22 UTC
Red Hat Product Errata RHSA-2018:0181 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2018-01-25 16:26:34 UTC

Description Andrej Nemec 2017-04-13 13:27:57 UTC
A vulnerability was found in the Linux kernel. It was found that keyctl_set_reqkey_keyring() function leaks thread keyring which allows unprivileged local user to exhaust kernel memory.

References:

https://lkml.org/lkml/2017/4/1/235

https://lkml.org/lkml/2017/4/3/724

http://seclists.org/oss-sec/2017/q2/246

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c9f838d104fed6f2f61d68164712e3204bf5271b

Comment 1 Andrej Nemec 2017-04-13 13:37:01 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1442093]

Comment 7 Vladis Dronov 2017-05-11 17:05:20 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code with the flaw is not present in this product.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 8 Justin M. Forbes 2017-05-12 12:30:28 UTC
This was fixed in the 4.10.13 stable release that was pushed to all stable Fedora releases on 2017-05-07.

Comment 11 errata-xmlrpc 2018-01-25 11:25:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0151 https://access.redhat.com/errata/RHSA-2018:0151

Comment 12 errata-xmlrpc 2018-01-25 11:29:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0152 https://access.redhat.com/errata/RHSA-2018:0152

Comment 13 errata-xmlrpc 2018-01-25 11:32:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2018:0181 https://access.redhat.com/errata/RHSA-2018:0181


Note You need to log in before you can comment on or make changes to this bug.